petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecRestoreLocalVectorRead

Unmaps the local portion of a vector previously mapped into a vector using VecGetLocalVectorRead().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreLocalVectorRead(Vec v,Vec w)

Not collective.

### Input parameter

v -The local portion of this vector was previously mapped into w using VecGetLocalVectorRead().
w -The vector into which the local portion of v was mapped.

### See Also

VecGetLocalVectorRead(), VecGetLocalVector(), VecGetArrayRead(), VecGetArray()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages